/* $Id: ExtendedHTMLWriter.java 125 2011-03-09 09:49:51Z ohura $ */
/*****************************************************
 * ExtendedHTMLWriter
 * Copyright(C) 2008 NorthGrid Corporation
 * SMART_GS_NG 
 * 
 *   作成日   2008/09/25
 *   作成者   菊池 敏幸
 *   
 ****************************************************/
package com.hexidec.ekit.component;

import java.io.IOException;
import java.io.Writer;

import javax.swing.text.html.HTMLDocument;
import javax.swing.text.html.HTMLWriter;

public class ExtendedHTMLWriter extends HTMLWriter {

	/**
	 * @param w
	 * @param doc
	 * @param pos
	 * @param len
	 */
	public ExtendedHTMLWriter(Writer w, HTMLDocument doc, int pos, int len) {
		super(w, doc, pos, len);
	}

	/**
	 * @param w
	 * @param doc
	 */
	public ExtendedHTMLWriter(Writer w, HTMLDocument doc) {
		super(w, doc);
	}

    protected int getIndentSpace() {
    	return 0;
    }

/*    
    protected boolean brwrite = false;
    
    protected void write(String content) throws IOException {
    	if(content.equals("br")){
    		brwrite = true;
    	}
    	super.write(content);
    }

	@Override
	protected void write(char ch) throws IOException {
		super.write(ch);
		if(ch == '>' && brwrite == true){
			super.write('\n');
			brwrite = false;
		}
	}
*/
}
